<?php
define('NTLCMS', 1);
$module = 'purchase';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница автопокупки кредитов - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Автопокупка кр</b></div>';
echo '<div class="menu"><i class="fa fa-dot-circle-o fa-fw"></i> Баланс: '.money(round($_USER['balans'], 4)).'</div>';
$error = null;
if (isset($_POST['col'])){
$summa = isset($_POST['col']) ? filter_var($_POST['col'], FILTER_SANITIZE_NUMBER_INT) : '0';
if (empty($summa)){
$error.= 'Введите количество кредитов для покупки!<br/>';
} elseif (!is_numeric($summa)){
$error.= 'Не верно введено количество для покупки!<br/>';
} elseif ($summa < $set['cpurchase']){
$error.= 'Минимум для покупки '.($set['cpurchase']).' кр.!<br/>';
} elseif ($_USER['balans'] < (int) $summa * $set['purchase'] / 1000){
$error.= 'У вас недостаточное количество денег!<br/>';
}
if ($error){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> '.$error.'</center></div>';
} else {
$purse = ((int) $summa * $set['purchase'] / 1000);
if (DB :: run() -> query("update `users` set `bank` = `bank` + ?, `balans` = `balans` - ? where `login` = ?", array($summa, $purse, $ilogin))){
DB :: run() -> query("insert into `purchase` (`data`, `purse`, `cena`, `money`, `kolvo`) values (?, ?, ?, ?, ?)", array(TIME, $ilogin, $set['purchase'], $purse, $summa));
header('Location: '.URL.'/purchase');
$_SESSION['success'] = 'Успешно приобретено '.$summa.' кр. на сумму '.$purse.' руб.';
} else {
header('Location: '.URL.'/purchase');
$_SESSION['fail'] = 'Ошибка при покупке кредитов!';
}
}
}
echo '<div class="menu"><form action="'.URL.'/purchase" method="post">
* Количество:<br/><input type="text" name="col" maxlength="11" value=""/><br/>
<input type="submit" value="Купить кредиты"/></form></div>';
echo '<div class="menu"><i class="fa fa-exclamation fa-fw"></i> Покупать можно от '.coins(($set['cpurchase'])).' </div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/exchanges">Биржа кредитов</a></div>';
include ('../system/foot.php');
?>